Subject: Re: [bug#34515] [PATCH 11/13] gnu: Add magic-wormhole-mailbox-server.

From: Leo Famulari <[email-masked]>
Date: Mon, 18 Feb 2019 23:43:09 -0500

On Mon, Feb 18, 2019 at 09:44:27AM +0100, Ricardo Wurmus wrote:
> Leo Famulari <[email-masked]> writes:
> > +    (arguments
> > +      ;; Tests seem to be Python 2 only...
> > +      ;; "TypeError: a bytes-like object is required, not 'str'"
> > +     '(#:tests? #f))
> 
> This seems to be a problem with Python 3.7.  Scons suffers from the same
> problem.
> 
> Could it be that the tests use the “imp” module?  If so they might be
> fixed by using importlib instead.

Thanks for this tip. I dug in and couldn't find such an import, but I
realized that the test failure was caused by missing network access. The
"bytes-like object" message must come from some error handler. I worked
around it by skipping the test in question.

> > +    (synopsis "Magic-Wormhole central server")
> 
> Maybe “Magic-Wormhole central mailbox server”?

Good idea, thanks!